<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Node extends Model
{
    use HasFactory;

    protected $table = 'nodes';
    protected $guarded = [''];

    public function caseStudy()
    {
        return $this->belongsTo(CaseStudy::class);
    }

    public function choices()
    {
        return $this->hasMany(Choice::class);
    }
}
